GENUCA(8)

NAME
genuca - create the UCA data table

SYNOPSIS
genuca [ -V, --version ] [ -h, -?, --help ] [ -v, --verbose ] [ -s, --copyright ] [ -s, --sourcedir source ] [ -d, --destdir destination ] file

DESCRIPTION
genuca create the UCA data table source files passed on the command line into their binary form. The resulting files have a .dat extension while UCA source files typically have a .txt extension.

These binary files can then be read directly by ICU, or used by pkgdata(8) for incorporation into a larger archive or library.

OPTIONS

-V,--version
    Print the version of genuca and exit.

-h,-?,--help
    Print help about usage and exit.

-v,--verbose
    Display extra informative messages during execution.

-s, --copyright
    Include a copyright notice into the binary data.

-s, --sourcedir source
    Set the source directory to source. The default source directory is specified by the environment variable ICU_DATA.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA.

INVARIANT CHARACTERS
The invariant character set consists of the following set of characters, expressed as a standard POSIX regular expression: [a-z]|[A-Z]|[0-9]|_| |+|-|*|/. This is the set which is guaranteed to be available regardless of code page.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to @thedatadir@/icu/@VERSION@/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

VERSION
@VERSION@

COPYRIGHT
Copyright (C) 2001 IBM, Inc. and others.

SEE ALSO
pkgdata(8)